Bug 1085224 - perl-Plack-Middleware-ReverseProxy-0.15-4.fc21 FTBFS
Summary: perl-Plack-Middleware-ReverseProxy-0.15-4.fc21 FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Plack-Middleware-ReverseProxy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-08 07:05 UTC by Petr Pisar
Modified: 2014-07-02 13:41 UTC (History)
3 users (show)

Fixed In Version: perl-Plack-Middleware-ReverseProxy-0.15-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 13:41:17 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-04-08 07:05:07 UTC
perl-Plack-Middleware-ReverseProxy-0.15-4.fc21 fails to build in F21 and F20 due to tests:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t
t/00_compile.t .... ok
Can't locate Plack/Test.pm in @INC (you may need to install the Plack::Test module) (@INC contains: t/lib /builddir/build/BUILD/Plack-Middleware-ReverseProxy-0.15/inc /builddir/build/BUILD/Plack-Middleware-ReverseProxy-0.15/blib/lib /builddir/build/BUILD/Plack-Middleware-ReverseProxy-0.15/blib/arch /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at t/reverseproxy.t line 7.
BEGIN failed--compilation aborted at t/reverseproxy.t line 7.
# Looks like your test exited with 2 before it could output anything.
t/reverseproxy.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 39/39 subtests 
Test Summary Report
-------------------
t/reverseproxy.t (Wstat: 512 Tests: 0 Failed: 0)
  Non-zero exit status: 2
  Parse errors: Bad plan.  You planned 39 tests but ran 0.
Files=2, Tests=1,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.10 cusr  0.00 csys =  0.13 CPU)
Result: FAIL
Failed 1/2 test programs. 0/1 subtests failed.

Comment 1 Petr Pisar 2014-04-08 08:51:10 UTC
This bug prevents from building perl-Catalyst and its ecosystem.

Comment 2 Ralf Corsepius 2014-04-08 09:28:23 UTC
This is a side-effect of perl(Plack::Test) having been split out from the main perl-Plack package as a side-effect of https://bugzilla.redhat.com/show_bug.cgi?id=1052859

Adding BR: perl(Plack::Test) should be sufficent to fix this issue.

Comment 3 Fedora Update System 2014-04-08 11:25:00 UTC
perl-Plack-Middleware-ReverseProxy-0.15-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Plack-Middleware-ReverseProxy-0.15-5.fc20

Comment 4 Fedora Update System 2014-04-18 15:43:00 UTC
perl-Plack-Middleware-ReverseProxy-0.15-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.